Package org.kapott.hbci.dialog

# Class HBCIDialogTanMedia

java.lang.Object
org.kapott.hbci.dialog.AbstractRawHBCIDialog
org.kapott.hbci.dialog.HBCIDialogTanMedia

All Implemented Interfaces:
  `RawHBCIDialog`

public class HBCIDialogTanMedia extends AbstractRawHBCIDialog
Diese Klasse enthaelt den Dialog fuer den Abruf der TAN-Medien.

## Constructor Summary

Constructors
Constructor
Description
`HBCIDialogTanMedia()`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`applyData(DialogContext ctx)`
Befuellt die Daten fuer die Nachricht.
`protected void`
`checkResult(DialogContext ctx)`
Kann implementiert werden, um das Ergebnis des Dialogs zu pruefen.
`boolean`
`required(DialogContext ctx)`
Prueft, ob der Dialog noetig ist.
`boolean`
`supported(DialogContext ctx)`
Prueft, ob der Dialog moeglich ist.

### Methods inherited from class org.kapott.hbci.dialog.AbstractRawHBCIDialog

`createSCARequest, execute, getActualTemplate, getSegmentVersion, getTemplate, sendData, setTemplate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIDialogTanMedia

public HBCIDialogTanMedia()
ct.

## Method Details

### required

public boolean required(DialogContext ctx)
Prueft, ob der Dialog noetig ist.

Parameters:
  `ctx` - der Context.
Returns:
  true, wenn er noetig ist.

### supported

public boolean supported(DialogContext ctx)
Prueft, ob der Dialog moeglich ist.

Parameters:
  `ctx` - der Context.
Returns:
  true, wenn er moeglich ist.

### applyData

protected void applyData(DialogContext ctx)
Description copied from class: `AbstractRawHBCIDialog`
Befuellt die Daten fuer die Nachricht.

Overrides:
  `applyData` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
See Also:
  - invalid reference

        org.kapott.hbci.dialog.AbstractHBCIDialogInit#applyData(org.kapott.hbci.dialog.DialogContext)

### checkResult

protected void checkResult(DialogContext ctx)
Description copied from class: `AbstractRawHBCIDialog`
Kann implementiert werden, um das Ergebnis des Dialogs zu pruefen.

Overrides:
  `checkResult` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
See Also:
  - `AbstractRawHBCIDialog.checkResult(org.kapott.hbci.dialog.DialogContext)`